// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>
#include "card.h"

/**
 * Deals cards to each player from the dealers' deck. Cards are dealt one to
 * each player $count times.
 * 
 * @param poker Poker game instance
 * @param count Count of cards to deal.
 */
void pokerDealerDeal(poker_t *poker, uint8_t count);