/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "bet.h"

void pokerBetPlayer(poker_t *poker, pokerplayer_t *player, int32_t chips) {
  poker->bet.pot += chips;
  player->chips -= chips;
  player->currentBet += chips;
}

void pokerBetTakeBlinds(poker_t *poker) {
  pokerBetPlayer(poker, poker->players + poker->roundSmallBlind,
    poker->bet.blindSmall
  );
  pokerBetPlayer(poker, poker->players + poker->roundBigBlind,
    poker->bet.blindBig
  );
}